package VotingTool;
import java.awt.*;
import ncsa.env.abstraction.Const;

public class VotingET extends Panel{


  public VotingET(){
    add(new PepperImage());
    add(new Label("Voting Tool Message:"));
    add(new PepperImage());
  }
}

///////////

 class PepperImage extends Panel{
   Image Pepper;
   MediaTracker tracker;

   public PepperImage(){
     tracker = new MediaTracker(this);
     String homedir = Const.getProperty("habanero.home");
     String sep = System.getProperties().getProperty("file.separator");
     String dir = homedir+sep+"rsc"+sep+"VotingTool"+sep+"images"+sep;

     //String dir = ResourceLocator.imagePath("rsc","VotingTool/images");
     //System.out.println("VotingET: imagePath")
     Pepper=Toolkit.getDefaultToolkit().getImage(dir + "habR.gif");
     tracker.addImage(Pepper, 0);
     try {
       tracker.waitForID(0);
     } catch (InterruptedException e) {

       return;}
     
     resize(59,97);
     repaint();
   }
   
   public Dimension preferredSize(){
     return new Dimension(59,97);
   }

  public void paint(Graphics g)
    {

      if ((tracker.statusAll(true) & MediaTracker.ERRORED) != 0) {
	g.setColor(Color.red);
	g.fillRect(0, 0, size().width, size().height);
	return;
      }
      g.drawImage(Pepper,0,0,this);
      
    }
}
